summaryrefslogtreecommitdiffstats
path: root/debian/systemd-boot.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/systemd-boot.postinst')
-rw-r--r--debian/systemd-boot.postinst20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/systemd-boot.postinst b/debian/systemd-boot.postinst
new file mode 100644
index 0000000..bb06ea3
--- /dev/null
+++ b/debian/systemd-boot.postinst
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = configure ] && [ -z "$2" ] && bootctl --print-esp-path > /dev/null 2>&1; then
+ bootctl install --make-machine-id-directory=auto
+
+ # register existing kernel(s)
+ for k in /boot/vmlinuz-* ; do
+ [ -f "$k" ] || continue
+ ver=$(basename "$k" | sed s/^vmlinuz-//)
+ kernel-install add "$ver" "$k"
+ done
+fi
+
+if [ "$1" = configure ] && [ -n "$2" ] && bootctl is-installed > /dev/null 2>&1; then
+ bootctl update --graceful
+fi
+
+#DEBHELPER#